/*
Theme Name: SurgeryWeb NHS Child Theme
Theme URI: 
Description: Bespoke Theme developed by Adrian @ AlphaWebServices.net
Author: Adrian Jones
Version: 1.0
License: 
License URI: 
Tags: 
Template: SurgeryWeb-NHS
*/

#newHeader {
	background: #fff;
	padding: 20px 0;
	transition: all 0.6s;
	position: fixed; 
	top: 0; 
	left: 0; 
	width: 100%; 
	z-index: 9999;
	border-bottom: 2px solid #4c6569;
}
#newHeaderSpaceFix {
	height: 182px;
	transition: all 0.6s;
}
#newHeader .headerInner:after {
	content: "";
	display: block;
	clear: both;
}
#newHeader .headerInner .logo {
	float: left;
}
#newHeader .headerInner .logo img {
	display: block;
	max-height: 100px;
	transition: all 0.6s;
}
#newHeader .headerInner .logo h2 {
	margin: 0;
}
#newHeader .headerInner .right {
	float: right;
}
#newHeader .headerInner .right .headRightRowOne {
	display: flex;
	align-items: center;
}
#newHeader .headerInner .right .headRightRowOne > * + * {
	margin-left: 10px;
}
#newHeader .headerInner .right .headRightRowOne .button {
	background: #4c6569;
	color: #fff;
	padding: 5px;
	text-decoration: none;
	border-radius: 4px;
}
#newHeader .headerInner .right .headRightRowOne .button:hover {
	background: #8aa6ab;
}
#newHeader .headerInner .right .headRightRowOne .gtranslate_wrapper {
	border: 1px solid #4c6569;
	padding: 0 0 0 3px;
}
#newHeader .headerInner .right .headRightRowOne .headSearch {
	position: relative;
}
#newHeader .headerInner .right .headRightRowOne .headSearch svg {
	vertical-align: middle;
	cursor: pointer;
}
#newHeader .headerInner .right .headRightRowOne .headSearch .nhsuk-header__search-form {
	position: absolute;
	right: 100%;
	top: -3px;
	width: 0;
	height: 40px;
	overflow: hidden;
	transition: width 0.3s ease-in-out;
    white-space: nowrap;
}
#newHeader .headerInner .right .headRightRowOne .headSearch .nhsuk-header__search-form.expanded {
	width: 235px;
}
#newHeader .headerInner .right .headRightRowTwo {
	margin-top: 10px;
}
#newHeader .headerInner .right .headIcons {
	display: flex;
	flex-wrap: wrap;
	justify-content: flex-end;
	align-items: center;
}
#newHeader .headerInner .right .headIcons i {
	font-size: 42px;
	margin-left: 10px;
}
#newHeader .headerInner .right .headIcons .cqcBadge {
	margin-left: 10px;
	text-align: center;
}
#newHeader .headerInner .right .headIcons .cqcBadge img {
	display: block;
	max-height: 70px;
}

#whatsApp {
	position: fixed;
	bottom: 10px;
	right: 10px;
	z-index: 9999;
}
#whatsApp img {
	display: block;
	max-height: 60px;
}

.innerPageTiles			{display: flex; flex-wrap: wrap; gap: 1rem; margin-bottom: 1rem;}
.innerPageTiles .tile	{flex: 0 0 calc(50% - 1rem);}
.innerPageTiles a		{text-decoration: none!important;}
.innerPageTiles .feature	{position: relative; width: 100%; border: 1px solid #e7e7e7; text-align: center; background: #fff;}
.innerPageTiles .feature:before	{content: ""; display: inline-block; padding-top: 100%; vertical-align: middle;}
.innerPageTiles .feature.fft:before	{padding-top: 17%;}
.innerPageTiles .feature .centered	{display: inline-block; vertical-align: middle; width: 90%;}
.innerPageTiles .feature .centered img	{max-width: 40%; max-height: 40px; display: inline-block; margin-bottom: 15px;}
.innerPageTiles .feature .centered p	{margin: 0;}
.innerPageTiles .feature i		{font-size: 42px; padding-bottom: 10px;}
.innerPageTiles .feature.fft .centered p		{display: inline-block; vertical-align: middle;}
.innerPageTiles a:hover .feature,
.innerPageTiles a:focus .feature		{opacity: 0.7;}

.mainFlex {
	flex-wrap: wrap;
}
.mainFlex .mainFlexLeft {
	width: 100%;
}

.nhsuk-hero .nhsuk-hero__overlay .nhsuk-hero-content {
	top: 150px;
}
.nhsuk-hero .nhsuk-hero__overlay .nhsuk-hero-content h1 {
	font-size: 1.2rem;
}
.nhsuk-hero .nhsuk-hero__overlay .nhsuk-hero-content p.nhsuk-body-l {
	font-size: 1rem;
}

.staff-role {
	margin-top: 40px;
}

.staff-grid {
	display: flex;
	flex-wrap: wrap;
	gap: 2rem;
}

.staff-member {
	flex: 1 1 calc(25% - 2rem); /* 4 per row with gap */
	max-width: calc(25% - 2rem);
	box-sizing: border-box;
}

.staff-member.full {
	flex: 1 1 100%;
	max-width: 100%;
}

.staff-img {
	width: 100%;
	aspect-ratio: 1 / 1; /* makes it square */
	background-position: center top;
	background-repeat: no-repeat;
	background-size: cover;
	border: 1px solid #ccc;
	border-radius: 4px;
	margin-bottom: 1rem;
}

.btn-small {
	display: inline-block;
	padding: 0.4rem 0.8rem;
	font-size: 0.875rem;
	background-color: #007bff;
	color: white;
	text-decoration: none;
	border-radius: 4px;
}

.gtranslate_wrapper {
	display: none;
}

.flags {
  display: flex;
  gap: 10px;
}

.flag {
  width: 50px;  /* adjust based on your actual flag size */
  height: 32px;
  background-image: url('flags.png');
  background-size: auto 100%; /* because we're using 1/3 of the image for each */
  background-repeat: no-repeat;
  cursor: pointer;
  border-radius: 4px;
}

/* UK is the first flag */
.flag.uk {
  background-position: left center;
}

/* Brazil is the second flag */
.flag.br {
  background-position: center;
}

/* Spain is the third flag */
.flag.es {
  background-position: right center;
}

.topmarquee {
	display: flex;
}
.topmarquee .marqueeButtons		{width: 150px; display: flex; justify-content: flex-end;}
.topmarquee .marqueeButtons .btn	{background: #dbdddf; padding: 6px 10px; border-radius: 5px; margin-left: 3px;}
.topmarquee .marqueeButtons .btn i			{cursor: pointer; font-size: 20px; color: #212b32;}
.topmarquee .marqueeButtons .btn:hover,
.topmarquee .marqueeButtons .btn:focus		{background: #ffeb3b;}
.topmarquee .marquee			{width: calc(100% - 150px); position: relative; overflow: hidden;}
.topmarquee .marquee #marqueeText		{display: block; position: absolute; top: 0; right: 0; margin: 0; white-space: nowrap; left: 100%; transform: translatex(0); animation-name: marquee-animation; animation-iteration-count: infinite; animation-timing-function: linear; line-height: 31px; width: fit-content;}
.topmarquee .marquee p span			{display: inline-block;}
.topmarquee .marquee p span + span	{margin-left: 50px;}
.topmarquee .marqueeButtons .btn i			{cursor: pointer; font-size: 20px;}
.topmarquee a		{text-decoration: none;}
.topmarquee a:hover,
.topmarquee a:focus	{text-decoration: underline;}


@media all and (min-width: 768px) {
	#newHeader.scrolled {
		padding: 10px 0;
	}
	#newHeaderSpaceFix.scrolled {
		height: 72px;
	}
	#newHeader.scrolled .headerInner .logo img {
		max-height: 50px;
	}
	#newHeader.scrolled .headerInner .logo h2 {
		display: none;
	}
	#newHeader.scrolled .headerInner .right {
		display: flex;
		justify-content: flex-end;
	}
	#newHeader.scrolled .headerInner .right .headRightRowTwo {
		margin-top: 0;
	}
	#newHeader.scrolled .headerInner .right .headIcons .cqcBadge img {
		max-height: 50px;
	}
	.innerPageTiles .tile	{flex: 0 0 calc(33.3% - 1rem);}
	.nhsuk-hero .nhsuk-hero__overlay .nhsuk-hero-content {
		top: auto;
	}
	.nhsuk-hero .nhsuk-hero__overlay .nhsuk-hero-content h1 {
		font-size: 2rem;
	}
	.nhsuk-hero .nhsuk-hero__overlay .nhsuk-hero-content p.nhsuk-body-l {
		font-size: 1.25rem;
	}
}

@media all and (max-width: 992px) {
	#newHeader:not(.scrolled) .headerInner .right {
		max-width: 260px;
	}
	#newHeader:not(.scrolled) .headerInner .right .headRightRowOne {
		flex-wrap: wrap;
		justify-content: flex-end;
	}
	#newHeader:not(.scrolled) .headerInner .right .headRightRowOne .button {
		margin-bottom: 10px;
	}
	#newHeaderSpaceFix:not(.scrolled) {
		height: 200px;
	}
}

@media all and (max-width: 768px) {
	#newHeader .headerInner .logo {
		float: none;
		text-align: center;
	}
	#newHeader .headerInner .logo img {
		margin: 0 auto;
		max-height: 50px;
	}
	#newHeader .headerInner .logo h2 {
		font-size: 1.5rem;
	}
	#newHeader .headerInner .right,
	#newHeader:not(.scrolled) .headerInner .right {
		float: none;
		margin-top: 10px;
		text-align: center;
		max-width: unset;
	}
	#newHeader .headerInner .right .headRightRowOne {
		flex-direction: column;
	}
	#newHeader.scrolled .headerInner .right .headRightRowOne .button,
	#newHeader .headerInner .right .headRightRowOne .gtranslate_wrapper {
		margin-bottom: 10px;
	}
	#newHeader .headerInner .right .headRightRowTwo {
		display: none;
	}
	#newHeaderSpaceFix:not(.scrolled) {
		height: 252px;
	}
}

@media all and (min-width: 992px) {
	.innerPageTiles .tile	{flex: 0 0 calc(25% - 1rem);}
}

@media all and (min-width: 1200px) {
	.innerPageTiles .tile	{flex: 0 0 calc(20% - 1rem);}
}
